CheckDigitException (Apache Commons Validator 1.11.0 API)
Description: declaration: package: org.apache.commons.validator.routines.checkdigit, class: CheckDigitException

# Class CheckDigitException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.commons.validator.routines.checkdigit.CheckDigitException

All Implemented Interfaces:
  `Serializable`

public class CheckDigitException extends Exception
Check Digit calculation/validation error.

Since:
  1.4
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckDigitException()`
  Constructs a new exception with no message.
  `CheckDigitException(String msg)`
  Constructs a new exception with a message.
  `CheckDigitException(String format, Object... args)`
  Constructs a new exception with a message and the underlying cause.
  `CheckDigitException(String msg, Throwable cause)`
  Constructs an Exception with a message and the underlying cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CheckDigitException

    public CheckDigitException()
    Constructs a new exception with no message.

  - ### CheckDigitException

    public CheckDigitException(String msg)
    Constructs a new exception with a message.
    Parameters:
      `msg` - The error message.

  - ### CheckDigitException

    public CheckDigitException(String format, Object... args)
    Constructs a new exception with a message and the underlying cause.
    Parameters:
      `format` - See `String.format(String, Object...)`.
      `args` - See `String.format(String, Object...)`.
    Throws:
      `IllegalFormatException` - See `String.format(String, Object...)`.
    Since:
      1.11.0

  - ### CheckDigitException

    public CheckDigitException(String msg, Throwable cause)
    Constructs an Exception with a message and the underlying cause.
    Parameters:
      `msg` - The error message.
      `cause` - The underlying cause of the error.